## org.apache.commons.collections.set
Class TransformedSortedSet

    java.lang.Object
      org.apache.commons.collections.collection.AbstractCollectionDecorator
          org.apache.commons.collections.collection.AbstractSerializableCollectionDecorator
              org.apache.commons.collections.collection.TransformedCollection
                  org.apache.commons.collections.set.TransformedSet
                      org.apache.commons.collections.set.TransformedSortedSet

All Implemented Interfaces:
  Collection, Serializable, Set, SortedSet

public class TransformedSortedSet
extends TransformedSet
implements SortedSet

Decorates another `SortedSet` to transform objects that are added.

The add methods are affected by this class. Thus objects must be removed or searched for using their transformed form. For example, if the transformation converts Strings to Integers, you must use the Integer form to remove objects.

This class is Serializable from Commons Collections 3.1.

Since:
  Commons Collections 3.0
Version:
  $Revision: 1.5 $ $Date: 2004/06/03 22:02:13 $
Author:
  Stephen Colebourne
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.commons.collections.collection.TransformedCollection
`transformer`

Fields inherited from class org.apache.commons.collections.collection.AbstractCollectionDecorator
`collection`

Constructor Summary
`protected` `TransformedSortedSet(SortedSet set, Transformer transformer)` Constructor that wraps (not copies).

Method Summary
`Comparator` `comparator()`
`static SortedSet` `decorate(SortedSet set, Transformer transformer)` Factory method to create a transforming sorted set.
`Object` `first()`
`protected SortedSet` `getSortedSet()` Gets the decorated set.
`SortedSet` `headSet(Object toElement)`
`Object` `last()`
`SortedSet` `subSet(Object fromElement, Object toElement)`
`SortedSet` `tailSet(Object fromElement)`

Methods inherited from class org.apache.commons.collections.set.TransformedSet
`decorate`

Methods inherited from class org.apache.commons.collections.collection.TransformedCollection
`add, addAll, decorate, transform, transform`

Methods inherited from class org.apache.commons.collections.collection.AbstractCollectionDecorator
`clear, contains, containsAll, equals, getCollection, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Constructor Detail

### TransformedSortedSet

    protected TransformedSortedSet(SortedSet set,
                                   Transformer transformer)

  Constructor that wraps (not copies).

  If there are any elements already in the set being decorated, they are NOT transformed.

Parameters:
  `set` - the set to decorate, must not be null
  `transformer` - the transformer to use for conversion, must not be null
Throws:
  `IllegalArgumentException` - if set or transformer is null

Method Detail

### decorate

    public static SortedSet decorate(SortedSet set,
                                     Transformer transformer)

  Factory method to create a transforming sorted set.

  If there are any elements already in the set being decorated, they are NOT transformed.

  Parameters:
    `set` - the set to decorate, must not be null
    `transformer` - the transformer to use for conversion, must not be null
  Throws:
    `IllegalArgumentException` - if set or transformer is null

### getSortedSet

    protected SortedSet getSortedSet()

  Gets the decorated set.

  Returns:
    the decorated set

### first

    public Object first()

  Specified by:
    `first` in interface `SortedSet`

### last

    public Object last()

  Specified by:
    `last` in interface `SortedSet`

### comparator

    public Comparator comparator()

  Specified by:
    `comparator` in interface `SortedSet`

### subSet

    public SortedSet subSet(Object fromElement,
                            Object toElement)

  Specified by:
    `subSet` in interface `SortedSet`

### headSet

    public SortedSet headSet(Object toElement)

  Specified by:
    `headSet` in interface `SortedSet`

### tailSet

    public SortedSet tailSet(Object fromElement)

  Specified by:
    `tailSet` in interface `SortedSet`

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.